﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Lotto
{
    class Program
    {
        static void Main(string[] args)
        {
            #region bekérni az 52. hetet - F1, F2;
            Console.WriteLine("Adja meg szóközökkel elválasztva az 52. hét számait");
            String[] sor = Console.ReadLine().Split(' ');
            Int32[] szamok = new Int32[5];
            for (int i = 0; i < 5; i++)
            {
                szamok[i] = Convert.ToInt32(sor[i]);
            }
            for (int i = 0; i < 4; i++)
            {
                int minh = i;
                for (int j = i+1; j < 5; j++)
                {
                    if (szamok[j]< szamok[minh])
                    {
                        minh = j;
                    }
                }
                int cs = szamok[i];
                szamok[i] = szamok[minh];
                szamok[minh] = cs;
            }
            Console.WriteLine("Az 52. hét nyerő számai emelkedő számsorrendben: {0}, {1}, {2}, {3}, {4}", szamok[0], szamok[1], szamok[2], szamok[3], szamok[4]);
            #endregion;
            #region beolvasás, adott hét kiírása - F3, F4 és F7;
            StreamReader be = new StreamReader("lottosz.dat");
            int[,] lista = new int[52, 5];
            for (int i = 0; i < 51; i++)
            {
                sor = be.ReadLine().Split(' ');
                for (int j = 0; j < 5; j++)
                {
                    lista[i,j] = Convert.ToInt32(sor[j]);
                }
            }
            be.Close();
            for (int j = 0; j < 5; j++)
            {
                lista[51, j] = szamok[j];
            }
            Console.WriteLine("Ajda meg a hét sorszámát!");
            int hét = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine("A {0}. hét nyerőszámai: {1}, {2}, {3}, {4}, {5}", hét, lista[hét - 1, 0], lista[hét - 1, 1], lista[hét - 1, 2], lista[hét - 1, 3], lista[hét - 1, 4]); 
            #endregion;
            #region nem húzták, páratlanok száma - F5, F6;
            int[] darab = new int[91];
            for (int i = 0; i < 91; i++)
            {
                darab[i] = 0;
            }
            for (int i = 0; i < 51; i++)
            {
                for (int j = 0; j < 5; j++)
                {
                    darab[lista[i, j]]++;
                }
            }
            Console.WriteLine("{0}",darab.Min() == 0 ? "Van" : "Nincs");
            int ptlanszám = 0;
            for (int i = 0; i < 45; i++)
            {
                ptlanszám += darab[2 * i + 1];
            }
            Console.WriteLine("{0} darab páratlan számot húztak", ptlanszám);
            #endregion;
            #region kiírás - F7 folytatás#;
            StreamWriter ki = new StreamWriter("lotto52.ki");
            for (int i = 0; i < 52; i++)
            {
                ki.WriteLine("{0} {1} {2} {3} {4}", lista[i, 0], lista[i, 1], lista[i, 2], lista[i, 3], lista[i, 4]);
            }
            ki.Close();
            #endregion;
            #region húzásszám - F8;
            for (int j = 0; j < 5; j++)
            {
                darab[lista[51, j]]++;
            }
            for (int i = 1; i < 91; i++)
            {
                Console.Write(darab[i] + "  ");
                if (i%15==0)
                {
                    Console.WriteLine();
                }
            }
            #endregion;
            #region ki nem húzott primek - F9;
            for (int i = 1; i < 91; i++)
            {
                if (darab[i] == 0)
                {
                    int oszto = 2;
                    while (i % oszto !=0)
                    {
                        oszto++;
                    }
                    if (oszto == i)
                    {
                        Console.Write(i + "\t");
                    }
                }
            }
            #endregion;
            Console.ReadLine();
        }
    }
}
